Page MenuHomePhabricator

Session to discuss Timeless at hackathon
Closed, ResolvedPublic

Description

Let's actually get together and discuss this now that the grant has been selected for funding.

Event Timeline

Isarra created this task.May 19 2018, 11:21 PM

Crappy session notes:

wmf not really supporting skins (team specific)
	wmf makes changes across all skins to update a thing
get things learned from timeless into other skins


tickets for the issues
	(instead of dumb notes)
	like minerva disabling all the things that don't work
	echo not working in mobile, ooui needing to handle desktop/mobile vs skins/extensions

create hierarchy of skin support
	not put stuff into core just shoving it in wherever, but divide it into classes
	
timeless working around issues from other skins, but starting from scratch
	get common things in core, especially where new skin is still doing the same things
	useful to talk to other folks to make case for changing how things are done
	
timeless/minerva lacking the baggage of monobook/vector - good for experimentation

switch to monobook - pretty smooth
switch to vector - fiiiiight
	did not consult community (adequately) - problem?
	small things caused problems
	- now want small changes, small chages put vector into a state very similar to monobook again
	- typography refresh issues, changes always have issues, even in bigger companies
	
do put specific ways to set things like max width, how many columns to force, etc (normally preferences)
	no such thing as a private api - better to actually have api, because css, dom etc can change (though normally we try to avoid this)
	
TODO: do add note that timeless structure/dom can/will change at a whim

Thank you for hosting your session at WMHack! If you have any notes or slides please add them to the task and then make sure to close the task when there are no more actions. :)

Isarra closed this task as Resolved.May 21 2018, 3:12 PM

I knew I forgot something.

Vvjjkkii renamed this task from Session to discuss Timeless at hackathon to 6mcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Isarra as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from 6mcaaaaaaa to Session to discuss Timeless at hackathon.Jul 1 2018, 5:32 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Isarra.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)